No Gutenberg – Disable Gutenberg Block Editor and FSE Global Styles

Descripción

WordPress 5.x bundled a new block editor called Gutenberg. With 5.9 version were added the called global styles for Full Site Editing (FSE) that load a lot of inline styles in every page. Despite his benefits, mainly for compatibility reasons with other plugins and previous contents, there are a lot of users that don’t want to activate it yet. If you don’t want the Gutenberg Block Editor and FSE Global Styles in your WordPress install right now, simply install this plugin, activate it and … That’s all!

¿Qué hace este plugin?:

  • Desactiva totalmente el editor de bloques Gutenberg
  • Disables totally the Full Site Editing (FSE) Global Styles added inline to every page
  • Muestra y usa por defecto el estupendo y compatible con todo editor clásico de WordPress
  • Extra: Desactiva el widget de escritorio con el mensaje “Prueba Gutenberg” de WP 4.9.8

Sin opciones. Simplemente instala y activa el plugin antes de actualizar a WordPress 5.x y eso es todo. Tendrás WordPress 5.x pero sin el editor de bloques Gutenberg.

Requisitos del plugin

  • Este plugin requiere WordPress 4.9 o superior con el plugin Gutenberg instalado y activo (si quieres hacer pruebas) o WordPress 5.0 o superior
  • Este plugin requiere PHP 5.6 o superior

Capturas

  • Página de entradas de WordPress antes de activar el plugin.
  • Página de entradas de WordPress después de activar el plugin.

Instalación

  1. Ve a tu escritorio de WP > Plugins y busca por ‘no gutenberg’ o…
  2. Descarga el plugin del repositorio de WP.
  3. Sube la carpeta ‘no-gutenberg’ al directorio ‘/wp-content/plugins/’
  4. Activa el plugin desde el menú ‘Plugins’ de WordPress

FAQ

¿Odias el editor Gutenberg?

No, que va. Creo que es más importante decidir lo que quieres en tu WordPress y lo que no. Si no quieres dar este gran paso hacia el nuevo editor Gutenberg, con este plugin tendrás la decisión en tus manos.

¿Qué pasa si decido desactivar el plugin?

  • Recuperarás el nuevo y flamante editor Gutenberg
  • Tu vida será un poco más difícil a partir de ese momento 🙂

Algo fue mal tras la activación

Este plugin es compatible con todas las funciones JavaScript de WordPress (wp_localize_script() en la cabecera, en el footer…) y funciona con todos los plugins y temas bien programados. Si un plugin o un tema no está encolando adecuadamente scripts puede que tu sitio no funcione. Si tu alojamiento no es compatible con algunas de las mejoras, normalmente debido a restricciones de seguridad, es posible que falle algo. Si falla algo, por favor, accede a tu directorio /wp-content/plugins/no-gutenberg/ con tu cliente FTP favorito o el panel de tu alojamiento (cPanel, Plesk, etc.) y renombra la carpeta del plugin para desactivarlo.

¿Y después?

Nada. Espero que Mat y el resto de chicos majos abandonen la idea de que un editor de bloques es una buena idea para editar entradas.

Reseñas

29 de octubre de 2020
Gracias Fernando por esta iniciativa, la verdad uso otro plugin para esta funcionalidad, pero otro más siempre es útil. Espero que un dia abandonen la idea de que un editor de bloques es una buena idea ... BRAVO !!!
17 de noviembre de 2019
I've never had any problems with this plugin. I loved the other one with the same name but when it did not work for me once, I started working with this one and it's pretty cool. Love it big time.
Leer todas las 13 reseñas

Colaboradores y desarrolladores

«No Gutenberg – Disable Gutenberg Block Editor and FSE Global Styles» es un software de código abierto. Las siguientes personas han colaborado con este plugin.

Colaboradores

«No Gutenberg – Disable Gutenberg Block Editor and FSE Global Styles» ha sido traducido a 12 idiomas locales. Gracias a los traductores por sus contribuciones.

Traduce «No Gutenberg – Disable Gutenberg Block Editor and FSE Global Styles» a tu idioma.

¿Interesado en el desarrollo?

Revisa el código , echa un vistazo al repositorio SVN o suscríbete al registro de desarrollo por RSS.

Registro de cambios

1.0.4

  • Tested up to WordPress 6.0.2

1.0.3

  • Tested up to WordPress 6.0

1.0.2

  • Added the action to remove the FSE Global Styles

1.0.12

  • Probado hasta WordPress 5.9

1.0.11

  • Probado hasta WordPress 5.8

1.0.10

  • Probado hasta WordPress 5.6

1.0.9

  • Probado hasta WordPress 5.5.1

1.0.8

  • Probado hasta WordPress 5.5

1.0.7

  • Probado hasta WordPress 5.4.1

1.0.6

  • Probado hasta WordPress 5.4

1.0.5

  • Probado hasta WP 5.3.2

1.0.5

  • Probado hasta WordPress 5.3 (¡Y funciona!)

1.0.4

  • Probado hasta WordPress 5.2.2

1.0.3

  • Probado hasta WordPress 5.2

1.0.2

  • Probado hasta WordPress 5.1

1.0.1

  • Mejor y más sencillo archivo readme

1.0.0

  • Ahora funciona perfectamente con todas las versiones del editor de bloques Gutenberg (plugin y núcleo)
  • Añadidos nuevos filtros condicionales añadidos para comprobar la versión de Gutenberg antes de aplicar la función adecuada para desactivar el editor de bloques.

0.9.2

  • Añadida etiqueta de probado hasta WordPress 5.0

0.9.1

  • Añadida función para desactivar el widget de escritorio con el mensaje “Prueba Gutenberg” introducido en WP 4.9.8

0.9

  • Versión inicial, y espero que la última